%
% ConstantTK : constants defined here
%
% September 1st, 2015
%   lam0 and kLam0 are removed. They are in MMTK.
%   In FFTIFO, lam0 and kLam0 are variables stored in fieldManager object,
%   which is set at runtime, not constant.
%
% February 24, 2012
%   Sapphire added, nSubs removed
% November 18, 2011 Hiro Yamamoto  hiro@ligo.caltech.edu
%   first release, copied from CavityTK
%

classdef ConstantTK < handle
    
    properties (Constant)
        c = 2.99792458e8;
        lamYaG = 1.064e-6;
        lam0 = ConstantTK.lamYaG; % default CR laser wave length
        kLam0 = 2*pi / ConstantTK.lam0;
        nSubsSiO2 = 1.44963;
        nSubsSapphire = 1.754;
        nSubsSiO2Hene = 1.457;
        nSubsSi = 3.95;  % silicon
    end
end
